import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { MsRunning } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-09 11:06
 */
interface MsRunningCU extends ConditionUtil<MsRunningCU>{
    ID:FieldUtil<MsRunningCU>;
    CREATE_TIME:FieldUtil<MsRunningCU>;
    UPDATE_TIME:FieldUtil<MsRunningCU>;
    STATE:FieldUtil<MsRunningCU>;
    PROJECT_ID:FieldUtil<MsRunningCU>;
    DEPLOY_ID:FieldUtil<MsRunningCU>;
    PID:FieldUtil<MsRunningCU>;
    PROJECT_VERSION:FieldUtil<MsRunningCU>;
    DEFAULT_VERSION:FieldUtil<MsRunningCU>;
    PORT:FieldUtil<MsRunningCU>;
    AUTH_TYPE:FieldUtil<MsRunningCU>;
    ENV:FieldUtil<MsRunningCU>;
    ENV_CODE:FieldUtil<MsRunningCU>;
    POD_ID:FieldUtil<MsRunningCU>;
    K8S_ID:FieldUtil<MsRunningCU>;
}

class MsRunningCUImpl extends ConditionUtilImpl<MsRunningCUImpl> implements MsRunningCU{ 
    newInstance(): MsRunningCUImpl {
        return new MsRunningCUImpl();
    } 
    get ID(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('id','id','id', this);
    }
    get CREATE_TIME(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('create_time','createTime','create_time', this);
    }
    get UPDATE_TIME(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('update_time','updateTime','update_time', this);
    }
    get STATE(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('state','state','state', this);
    }
    get PROJECT_ID(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('project_id','projectId','projectId', this);
    }
    get DEPLOY_ID(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('deploy_id','deployId','部署id', this);
    }
    get PID(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('pid','pid','项目代码', this);
    }
    get PROJECT_VERSION(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('project_version','projectVersion','项目版本', this);
    }
    get DEFAULT_VERSION(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('default_version','defaultVersion','是否默认版本', this);
    }
    get PORT(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('port','port','端口', this);
    }
    get AUTH_TYPE(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('auth_type','authType','authType', this);
    }
    get ENV(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('env','env','环境类型: dev/test/prod', this);
    }
    get ENV_CODE(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('env_code','envCode','环境代码', this);
    }
    get POD_ID(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('pod_id','podId','容器id', this);
    }
    get K8S_ID(): FieldUtil<MsRunningCU>{  
        return new FieldUtil('k8s_id','k8sId','K8S ID', this);
    }
}

@Singleton 
class MsRunningMU extends TableUtilImpl<MsRunningCU,MsRunning>{ 
    tableName  = 'ms_running';
    tableFields  = ['id','create_time','update_time','state','project_id','deploy_id','pid','project_version','default_version','port','auth_type','env','env_code','pod_id','k8s_id'];
    modelFields  = ['id','createTime','updateTime','state','projectId','deployId','pid','projectVersion','defaultVersion','port','authType','env','envCode','podId','k8sId'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): MsRunningCU {
        return new MsRunningCUImpl();
    }   

    static get ID(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('id','id','id', new MsRunningCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('create_time','createTime','create_time', new MsRunningCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('update_time','updateTime','update_time', new MsRunningCUImpl());
    }
    static get STATE(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('state','state','state', new MsRunningCUImpl());
    }
    static get PROJECT_ID(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('project_id','projectId','projectId', new MsRunningCUImpl());
    }
    static get DEPLOY_ID(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('deploy_id','deployId','部署id', new MsRunningCUImpl());
    }
    static get PID(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('pid','pid','项目代码', new MsRunningCUImpl());
    }
    static get PROJECT_VERSION(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('project_version','projectVersion','项目版本', new MsRunningCUImpl());
    }
    static get DEFAULT_VERSION(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('default_version','defaultVersion','是否默认版本', new MsRunningCUImpl());
    }
    static get PORT(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('port','port','端口', new MsRunningCUImpl());
    }
    static get AUTH_TYPE(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('auth_type','authType','authType', new MsRunningCUImpl());
    }
    static get ENV(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('env','env','环境类型: dev/test/prod', new MsRunningCUImpl());
    }
    static get ENV_CODE(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('env_code','envCode','环境代码', new MsRunningCUImpl());
    }
    static get POD_ID(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('pod_id','podId','容器id', new MsRunningCUImpl());
    }
    static get K8S_ID(): FieldUtil<MsRunningCU>{ 
        return new FieldUtil('k8s_id','k8sId','K8S ID', new MsRunningCUImpl());
    }

    get ID(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.ID;
    }
    get CREATE_TIME(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.UPDATE_TIME;
    }
    get STATE(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.STATE;
    }
    get PROJECT_ID(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.PROJECT_ID;
    }
    get DEPLOY_ID(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.DEPLOY_ID;
    }
    get PID(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.PID;
    }
    get PROJECT_VERSION(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.PROJECT_VERSION;
    }
    get DEFAULT_VERSION(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.DEFAULT_VERSION;
    }
    get PORT(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.PORT;
    }
    get AUTH_TYPE(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.AUTH_TYPE;
    }
    get ENV(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.ENV;
    }
    get ENV_CODE(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.ENV_CODE;
    }
    get POD_ID(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.POD_ID;
    }
    get K8S_ID(): FieldUtil<MsRunningCU>{ 
        return MsRunningMU.K8S_ID;
    }
}
export {MsRunningMU, MsRunningCU}
